Bug 1388466 - Vestige plugin is not showing up in the instrument plugins list.
Summary: Vestige plugin is not showing up in the instrument plugins list.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: lmms
Version: 27
Hardware: i686
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Thomas Moschny
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-10-25 12:25 UTC by Armands Liepins
Modified: 2018-03-06 17:27 UTC (History)
2 users (show)

Fixed In Version: lmms-1.1.3-8.fc27 lmms-1.1.3-8.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-03-06 17:19:58 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Armands Liepins 2016-10-25 12:25:29 UTC
Description of problem:
Vestige plugin is not showing up in the instrument plugins list.

Version-Release number of selected component (if applicable):
lmms-1.1.3-3.fc24.i686

Additional info:
The same problem in Fedora 25 beta. It worked in 23.

Comment 1 Armands Liepins 2016-10-25 13:02:35 UTC
Could be this https://github.com/LMMS/lmms/issues/2628

if I put libvestige.so in my home directory and libvstbase.so in the /home/vst_base, then it shows up

Comment 2 Fedora End Of Life 2017-07-25 23:36:49 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 3 Stephan Hester 2017-08-04 21:14:32 UTC
[lmms]# uname -a
Linux 4.11.12-200.fc25.i686+PAE #1 SMP Fri Jul 21 17:00:30 UTC 2017 i686 i686 i386 GNU/Linux
[lmms]# 

Name        : lmms-vst
Source RPM  : lmms-1.1.3-3.fc24.src.rpm
URL         : https://lmms.io/
Summary     : VST hosting plugin for lmms

Name        : lmms
Source RPM  : lmms-1.1.3-3.fc24.src.rpm
URL         : https://lmms.io/

The following entries details the error in LMMS to find
its EFFECT libraries.

[lmms]# pwd
/usr/lib/lmms
[lmms]# 

[lmms]# ls
ladspa                    libkicker.so         libpapu.so                  libvestige.so
libamplifier.so           libladspabrowser.so  libpatman.so                libvibedstrings.so
libaudiofileprocessor.so  libladspaeffect.so   libpeakcontrollereffect.so  libvstbase.so
libbassbooster.so         liblb302.so          libsf2player.so             libvsteffect.so
libbitinvader.so          libmalletsstk.so     libsfxr.so                  libwatsyn.so
libdelay.so               libmidiimport.so     libsid.so                   libwaveshaper.so
libdualfilter.so          libmonstro.so        libspectrumanalyzer.so      libZynAddSubFxCore.so
libdynamicsprocessor.so   libnes.so            libstereoenhancer.so        libzynaddsubfx.so
libflpimport.so           libOPL2.so           libstereomatrix.so
libhydrogenimport.so      liborganic.so        libtripleoscillator.so
[lmms]# 

## The missing (.so) IS located in the /usr/lib/lmms dir, but the (.so) has the wrong path !
## The path /usr/lib/vst_base DOES NOT EXIST ! As shown above the (.so) files are in the
## path /usr/lib/lmms  !!!
## The package was installed via (dnf) automatically -- this is not a manual install !

[lmms]# ldd -v libvsteffect.so 
	linux-gate.so.1 (0xb7721000)
	../vst_base/libvstbase.so => not found               <------ERROR
	libstdc++.so.6 => /lib/libstdc++.so.6 (0xb754d000)
	libm.so.6 => /lib/libm.so.6 (0xb74f6000)
	libgcc_s.so.1 => /lib/libgcc_s.so.1 (0xb74d8000)
	libc.so.6 => /lib/libc.so.6 (0xb72fe000)
	/lib/ld-linux.so.2 (0xb7723000)

[root@tc-prime3 lmms]# ldd -v libvestige.so 
	linux-gate.so.1 (0xb7793000)
	../vst_base/libvstbase.so => not found               <-----ERROR
	libstdc++.so.6 => /lib/libstdc++.so.6 (0xb75b4000)
	libm.so.6 => /lib/libm.so.6 (0xb755d000)
	libgcc_s.so.1 => /lib/libgcc_s.so.1 (0xb753f000)
	libc.so.6 => /lib/libc.so.6 (0xb7365000)
	/lib/ld-linux.so.2 (0xb7795000)

[lmms]#

Comment 4 Armands Liepins 2017-08-05 12:27:58 UTC
While it is not fixed, dirty hack:

sed -i -e 's/\.\.\/vst_base\/libvstbase.so/\/lib\/lmms\/libvstbase.so\x00\x00/' /usr/lib/lmms/{libvestige.so,libvsteffect.so}

Comment 5 Stephan Hester 2017-08-07 21:11:16 UTC
(In reply to Armands Liepins from comment #4)
> While it is not fixed, dirty hack:
> 
> sed -i -e
> 's/\.\.\/vst_base\/libvstbase.so/\/lib\/lmms\/libvstbase.so\x00\x00/'
> /usr/lib/lmms/{libvestige.so,libvsteffect.so}

Thanks Armands
This worked perfectly !
I also found out that I had download a bunch of sample
projects with UNIQUE plugins. I need to watch this in
the future.
Again thank you

Comment 6 Fedora End Of Life 2017-11-16 19:36:31 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 7 Fedora End Of Life 2017-12-12 10:48:56 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 8 Fedora Update System 2018-02-19 11:15:03 UTC
lmms-1.1.3-8.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-a0b680a2e8

Comment 9 Fedora Update System 2018-02-19 11:15:11 UTC
lmms-1.1.3-8.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-060a0e9df6

Comment 10 Fedora Update System 2018-02-19 18:22:36 UTC
lmms-1.1.3-8.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-a0b680a2e8

Comment 11 Fedora Update System 2018-02-19 18:47:13 UTC
lmms-1.1.3-8.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-060a0e9df6

Comment 12 Armands Liepins 2018-02-22 19:48:05 UTC
Thanks, it is fixed now.

Comment 13 Fedora Update System 2018-03-06 17:19:58 UTC
lmms-1.1.3-8.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2018-03-06 17:27:55 UTC
lmms-1.1.3-8.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.